import { Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NzSpaceModule } from 'ng-zorro-antd/space';
import { CommonCompModule } from '../../../services/common.modules';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import { ActivatedRoute, Router } from '@angular/router';
import Parse from 'parse';
import { TextbookComponent } from '../../../app/textbook/textbook.component';
import { textbookServer } from '../../../services/textbook';
@Component({
  selector: 'app-activity',
  templateUrl: './activity.component.html',
  styleUrls: ['./activity.component.scss'],
  imports: [
    CommonModule,
    NzSpaceModule,
    CommonCompModule,
    NzTabsModule,
    TextbookComponent,
  ],
  standalone: true,
})
export class ActivityComponent  implements OnInit {
  active: number = 0;
  eduProcess: Parse.Object | undefined;
  constructor(
    private activeRoute: ActivatedRoute,
    public tbookSer: textbookServer,
    private router: Router
  ) { }

  ngOnInit() {
    this.activeRoute.paramMap.subscribe(async (params) => {
      let id = params.get('id');
      if (id) {
        let query = new Parse.Query('EduProcess');
        query.include('branch', 'department');
        query.equalTo('objectId', id);
        query.notEqualTo('isDeleted', true);
        let res = await query.first();
        if (res?.id) {
          let vrifly = await this.tbookSer.getEduProcess(
            res.get('department').id
          );
        }
        this.eduProcess = res;
      }
    });
  }
  back() {
    history.back();
    // this.router.navigate(['/nav-admin/manage/user'], {
    //   queryParams: { page: this.activeRoute.snapshot.queryParamMap.get('page') },
    // });
  }
}
