import { Component, OnInit, ViewChild, Input } from '@angular/core';
import { ActivatedRoute, RouterOutlet, Router } from '@angular/router';
// import { CompTableListComponent } from '../../../app/comp-table/comp-table-list/comp-table-list.component';
import { EduTextbook } from '../../../schemas/EduTextbook';
import { NzPageHeaderModule } from 'ng-zorro-antd/page-header';
import { NzBreadCrumbModule } from 'ng-zorro-antd/breadcrumb';
import * as Parse from 'parse';
import { CommonModule } from '@angular/common';
import { textbookServer } from '../../../services/textbook';
import { TextbookComponent } from '../../../app/textbook/textbook.component';
import { NzSpaceModule } from 'ng-zorro-antd/space';
import { CommonCompModule } from '../../../services/common.modules';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import { NzMessageService } from 'ng-zorro-antd/message';
@Component({
  selector: 'app-approve',
  imports: [
    CommonModule,
    RouterOutlet,
    TextbookComponent,
    // CompTableListComponent,
    NzPageHeaderModule,
    CommonCompModule,
    NzBreadCrumbModule,
    NzSpaceModule,
    NzTabsModule,
  ],
  standalone: true,
  templateUrl: './approve.component.html',
  styleUrls: ['./approve.component.scss'],
})
export class ApproveComponent implements OnInit {
  // @ViewChild(CompTableListComponent) list: CompTableListComponent | undefined;
  active: number = 0;
  user: Parse.User | undefined;

  //待审核
  beforeFilterObj: any = {
    showMore: true, //显示更多字段
    isCheck: true,
    noStared: true,
    status: ['200'],
    btns: {
      review:true,
      export: true,
    },
  };
  //已加入推荐
  afterFilterObj: any = {
    showMore: true, //显示更多字段
    isCheck: true,
    status: ['200', '201', '400'],
    btns: {
      review:true,
      export: true,
    },
  };

  constructor() {
    this.user = Parse.User.current();
  }

  ngOnInit() {}
}
